// JavaScript Document 
/*
function openFrame(srcUrl) {
    var header = $api.byId('header');
    var headerH = $api.offset(header).h;
    var footer = $api.byId('footer');
    var footerH = $api.offset(footer).h;
    var frameH = api.winHeight - headerH - footerH;
    api.openFrame({
        name: 'webpage',
        url: srcUrl,
        bounces: false,
        useWKWebView: true,
        historyGestureEnabled: true,
        //bgColor:"#fff",
        rect: {
            x: 0,
            y: headerH,
            w: 'auto',
            h: frameH,
        }
    });
}
*/

function openFrame(pageUrl, pageName) {
    //输出Log，Log将显示在APICloud Studio控制台
    //console.log("Hello APICloud");
   // var pageUrl = pageUrl;
    //var header = $api.byId('header');
   
    //$api.fixIos7Bar(header);  //适配iOS7+，Android4.4+状态栏沉浸式效果，详见config文档statusBarAppearance字段
    
    var headerH = $api.offset($api.byId('header')).h;
    //var footerH = $api.offset($api.byId('footer')).h;
    var footerH = 0;
    var frameH = api.winHeight - headerH - footerH; //frame的高度为当前window高度减去header和footer的高度
    //alert(frameH);
    //alert($api.byId('header'));
    //alert(footerH);
    if (pageName) {

    } else {
    	pageName = 'webpage';
    }
    //return;
    pageName = 'webpage';
    curFrameName = pageName; //全局，重置高度
    //alert(pageName);
    api.openFrame({
        name: pageName,
        //url: 'html/main.html',
        url: pageUrl,
        bounces: true,
        useWKWebView: true,
        historyGestureEnabled: true,
        bounces: false,
        progress:{type:"default"},
        //progress:{type:"page",color:"#45C01A"},
        //progress:{type:"page",color:"#ffffff"},
        rect: {
            x: 0,
            y: headerH,
            w: 'auto',
            h: frameH,
        }
    });
}

//
function goBack() {
    /*
    browser = api.require('webBrowser');
    browser.historyBack({
      
    }, function(ret, err) {
        if (!ret.status) {
            //api.closeWin();
        }
    });*/
    api.historyBack({
        frameName: 'webpage'
    }, function(ret, err) {
        if (!ret.status) {
            // api.closeWin();
        }
    });
}

//选中状态
function switchTabCss(tobj)
{
    $("#footer a").each(function(i){
        $(this).removeClass('btnactive');
    });
    $(tobj).addClass('btnactive');
}

function search() {
    keywords = $("#keywords").val();
    openFrame(siteDomain + "?c=products&keywords=" + encodeURI(keywords));
}
//设置登录数据
function setLoginData(userId) {
    localStorage.setItem("userId", userId); //记录用户名
}

function getCurUserId() {
    return localStorage.getItem("userId");
}

function logout() {
    localStorage.clear();
}
/*
function checkNeedLogin()
{
	//alert("start bind"+wxCode);	
	//api.showProgress();  //加载进度条
	var remoteUrl = siteDomain+'?c=app&a=login';	  
	api.ajax({
    	url: remoteUrl,
    	method: 'post',
	   },function(ret, err){	
	   		//api.hideProgress();  //隐藏进度条
			if (ret) { 
				// alert( JSON.stringify(ret) ); 
				if(ret.code !==0) {
					//alert(ret.message);
					//goBack();
				} else {
					//成功
					
				}
			} else { 
				 alert( JSON.stringify(err));
			}
	});
}
*/
function checkShowWxLogin() {
    var wx = api.require('wx');
    wx.isInstalled(function(ret, err) {
        if (!ret.installed) {
            //var jsfun = 'funcGoto();';
            api.execScript({
                frameName: 'webpage',
                script: 'document.getElementById("weixinLogin").style.display="none";' //登录页，如果没有安装weixin,图标隐藏 
            });
            //browser.loadScript({
            //script: 'document.getElementById("weixinLogin").style.display="none";' //登录页，如果没有安装weixin,图标隐藏 
            //});
        }
    });
}

function wxLogin() {
    var wx = api.require('wx');
    wx.isInstalled(function(ret, err) {
        if (!ret.installed) {
            alert('当前设备未安装微信客户端');
            goBack();
        }
    });
    wx.auth({
        //apiKey: 'wxed782be999f86e0e'
    }, function(ret, err) {
        if (ret.status) {
            //alert(JSON.stringify(ret));
            //alert(JSON.stringify(ret.code));
            //return ret.code;
            doBindAccount(ret.code, 1);
        } else {
            alert('登录失败' + err.code);
            goBack();
        }
    });
}

function doBindAccount(code , type) {
    //alert("start bind"+wxCode);	
    //api.showProgress();  //加载进度条
    //type1 weixin type2 qq
    if (type == 1) {
    	var remoteUrl = siteDomain + 'api/weixin/index.php?wxcode=' + code;
    } else {
    	var remoteUrl = siteDomain + 'api/qq/user/get_user_info.php?code=' + code;
    }
    api.ajax({
        url: remoteUrl,
        method: 'get',
    }, function(ret, err) {
        //api.hideProgress();  //隐藏进度条
        if (ret) {
            // alert( JSON.stringify(ret) ); 
            if (ret.code !== 0) {
                alert(ret.message);
                goBack();
            } else {
                //成功
                //alert( JSON.stringify(ret) ); 
                //alert('登录成功！');
                //curUserId = ret.data.userId;
                //alert(ret.data.userId); 
                //alert(ret.data.sessionId);
                //需要更新sessionId,
                //browser.loadUrl({
                //url: siteDomain+"sessionLogin.php?sessionId="+ret.data.sessionId
                //});
                setLoginData(ret.data.userId);
                openFrame(siteDomain + "sessionLogin.php?sessionId=" + ret.data.sessionId);
                //openFrame(siteDomain);
            }
        } else {
            alert(JSON.stringify(err));
        }
    });
}

function qqLogin() {
    var qq = api.require('qq');
    qq.installed(function(ret, err) {
        if (ret.status) {
            // api.alert({ msg: "安装" });
        } else {
            api.alert({
                msg: "没有安装"
            });
            goBack();
        }
    });
    qq.login(function(ret, err) {
    	alert(JSON.stringify(ret));
    	alert(JSON.stringify(err));
    	//doBindAccount(ret.code, 2);
        /*
        api.alert({
            title: 'id',
            msg: ret.openId
        });
        api.alert({
            title: 'token',
            msg: ret.accessToken
        });
        */
    });
}

function showShare() {
    //获取当前userId, 页面标题，页面描述，页面图片，页面链接
    //browser.loadScript({
    //script: 'document.getElementById("sharePannel").style.display=""'
    //script: ''
    //});
    //document.getElementById('sharePannel').style.display='';
    //openFrame('share.html');
    var dialogBox = api.require('dialogBox');
    dialogBox.actionMenu({
        rect: {
            h: 150 //（可选项）数字类型；对话框的高；默认值：150
        },
        texts: {
            cancel: '取消分享' //（可选项）字符串类型；取消按钮名称，若不传则不显示该文本
        },
        items: [{
            text: '微信好友',
            icon: 'widget://image/hy.png'
        }, {
            text: '微信朋友圈',
            icon: 'widget://image/pyq.png'
        }],
        styles: {
            bg: '#FFF',
            // corner: 0,   //（可选项）数字类型；对话框背景圆角大小；默认：0
            column: 4, // //（可选项）数字类型；支持的列数；默认值：3
            itemText: {
                color: '#aaa',
                size: 14,
                marginT: 10 // 文本上边缘与图标的间距；默认值：8
            },
            itemIcon: {
                size: 54 //（可选项）数字类型；按钮图片的大小；默认值：30
            },
            cancel: {
                bg: '#fff',
                color: '#4876FF',
                h: 35, //底部按钮高和宽；默认：44
                size: 14
            }
        },
        //tapClose: true //是否点击遮罩层关闭该对话框
    }, function(ret) {
        //alert(JSON.stringify(ret));
        if (ret.eventType == 'cancel') {} else {
            //点击分享开始
            //alert(ret.index);
            if (ret.index == 0) {
                //好友
                var vscene = 'session';
            } else if (ret.index == 1) {
                //朋友圈
                var vscene = 'timeline';
            }
            var title = '';
            var desc = '';
            var img = '';
            //api.execScript({
			   // frameName: 'webpage',
			   // script: 'title = document.title;'
			//});
            //alert(title);
            shareWxWebpage(vscene, title, desc, img, curUrl)
            //分享结束
        }
        //关闭分享
        dialogBox.close({
            dialogName: 'actionMenu'
        });
        //关闭分享
    });
}

function shareWxWebpage(Vscene, title, desc, img, linkUrl) {
    var wx = api.require('wx');
    wx.isInstalled(function(ret, err) {
        if (!ret.installed) {
            alert('当前设备未安装微信客户端');
            return;
        }
    });
    if (!title) {
        title = '快熊跨境购';
    }
    if (!desc) {
        desc = title;
    }
    if (!img) {
        img = 'widget://icon/icon150x150.png';
    }
    if (!linkUrl) {
        linkUrl = siteDomain;
    }
    var curUserId = getCurUserId();
    if (linkUrl == siteDomain) {
        linkUrl = linkUrl + "?promoteId=" + curUserId;
    } else {
        linkUrl = linkUrl + "&promoteId=" + curUserId;
    }
    wx.shareWebpage({
        apiKey: '',
        scene: Vscene, //好友session 或朋友圈 timeline
        title: title, //标题
        description: desc, //描述
        thumb: img, //图标
        contentUrl: linkUrl //链接url
    }, function(ret, err) {
        if (ret.status) {
            //alert(JSON.stringify(ret))
            //closeSelf();
        } else {
            //closeSelf();
            //取消分享
            //alert(JSON.stringify(err))
        }
    });
}
//扫描二维码
function queryQr() {
    var FNScanner = api.require('FNScanner');
    FNScanner.openScanner({
        autorotation: true
    }, function(ret, err) {
        if (ret) {
            if (ret.eventType == 'success') {
                if (ret.content.substring(0, 7) == "http://") {
                    //openFrame(ret.content);						 
                    //browser.loadUrl({
                    // url: ret.content
                    //});
                    openFrame(ret.content);
                } else {
                    alert('产品二维码错误，请重试');
                }
            }
            //alert( JSON.stringify( ret ) );
            //alert( JSON.stringify( ret ) );
        } else {
            alert(JSON.stringify(err));
        }
    });
}